require 'xmlparser'

# Helper class for parsing XML files
class MyXMLParser < XMLParser

  # Override this to get any pre-parse initialisation done
  # (Attempts to override the XMLParser constructor cause errors).
  def init
  end

  attr_reader :filename

  def parse(filename)
    init
    @filename = filename
    data = read_template(filename)
    return if data == ""
    begin 
      super(data)
    rescue XMLParserError
      puts "XMLParserError at line #{line} of #{filename}"
      raise
    end
  end

  def read_template(filename)
    data = ""
    return "" unless File.exist?(filename)
    File.open(filename) { |file|
      data = file.readlines.join("")
    }
    return data
  end

end


